# jolheiser.com

My [personal website](https://jolheiser.com).

Uses [tailwind](https://tailwindcss.com/) (with [catppuccin btw](https://github.com/catppuccin/tailwindcss)) and [templ](https://github.com/a-h/templ) as a simple static page generator. 

Links are sourced from [links.jsonnet](links.jsonnet).

## Dev

### Tools

```
nix develop
```

If nix isn't available:

#### Build Deps
- [Go](https://go.dev)
- [templ](https://github.com/a-h/templ)
- [tailwind-ctp](https://git.jojodev.com/jolheiser/tailwind-ctp) (TailwindCSS standalone CLI with Catppuccin support)

#### Dev Deps
- [tailwind-ctp-intellisense](https://git.jojodev.com/jolheiser/tailwind-ctp-intellisense)
- [HTML LSP](https://github.com/vscode-langservers/vscode-html-languageserver-bin) or similar

### Building

```bash
go generate
```
